%define upstream_name    Getopt-Long-Descriptive
%define upstream_version 0.114

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Getopt::Long with usage text and validation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.550.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Params::Validate) >= 0.970.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter) >= 0.972.0
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings) >= 0.5.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Convenient wrapper for Getopt::Long and program usage output

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 22 2024 tv <tv> 0.114.0-1.mga10
+ Revision: 2033542
- update to 0.114

* Mon Dec 18 2023 tv <tv> 0.113.0-1.mga10
+ Revision: 2018734
- update to 0.113

* Mon Dec 04 2023 tv <tv> 0.112.0-1.mga10
+ Revision: 2012943
- update to 0.112

* Mon Jan 02 2023 tv <tv> 0.111.0-1.mga9
+ Revision: 1928826
- update to 0.111

* Mon Mar 21 2022 umeabot <umeabot> 0.110.0-2.mga9
+ Revision: 1815120
- Mageia 9 Mass Rebuild

* Tue Nov 02 2021 tv <tv> 0.110.0-1.mga9
+ Revision: 1753661
- update to 0.110

* Fri Mar 19 2021 tv <tv> 0.109.0-1.mga9
+ Revision: 1704786
- update to 0.109

* Tue Mar 16 2021 tv <tv> 0.107.0-1.mga9
+ Revision: 1703722
- update to 0.107

* Fri Feb 28 2020 tv <tv> 0.105.0-1.mga8
+ Revision: 1551949
- update to 0.105

* Sat Feb 15 2020 umeabot <umeabot> 0.104.0-2.mga8
+ Revision: 1526772
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 0.104.0-1.mga8
+ Revision: 1415580
- update to 0.104

* Thu Sep 20 2018 umeabot <umeabot> 0.103.0-2.mga7
+ Revision: 1283934
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 tv <tv> 0.103.0-1.mga7
+ Revision: 1250248
- update to 0.103

* Sat Mar 03 2018 tv <tv> 0.102.0-1.mga7
+ Revision: 1206272
- update to 0.102

* Mon Jan 22 2018 tv <tv> 0.101.0-1.mga7
+ Revision: 1195807
- update to 0.101

* Sat Jul 22 2017 shlomif <shlomif> 0.100.0-1.mga7
+ Revision: 1128549
- update to 0.100

* Sun Jun 19 2016 pterjan <pterjan> 0.99.0-3.mga6
+ Revision: 1027889
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.99.0-2.mga6
+ Revision: 966999
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.99.0-1.mga6
+ Revision: 847908
- update to 0.099

* Wed Oct 15 2014 umeabot <umeabot> 0.97.0-4.mga5
+ Revision: 748149
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.97.0-3.mga5
+ Revision: 732185
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.97.0-2.mga5
+ Revision: 684858
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 0.97.0-1.mga5
+ Revision: 603718
- update to 0.097

* Mon Oct 21 2013 umeabot <umeabot> 0.96.0-2.mga4
+ Revision: 539285
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.96.0-1.mga4
+ Revision: 491729
- update to 0.096

* Fri Sep 27 2013 sander85 <sander85> 0.95.0-1.mga4
+ Revision: 487814
- update to 0.095

* Sun Sep 08 2013 sander85 <sander85> 0.94.0-1.mga4
+ Revision: 476172
- update to 0.094

* Sun Jan 13 2013 umeabot <umeabot> 0.93.0-2.mga3
+ Revision: 367736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.93.0-1.mga3
+ Revision: 315063
- update to 0.093

* Fri Aug 31 2012 kharec <kharec> 0.92.0-1.mga3
+ Revision: 286159
- update to 0.092

* Thu Feb 23 2012 jquelin <jquelin> 0.91.0-1.mga2
+ Revision: 212893
- update to 0.091

* Fri Jun 17 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 108837
- update to 0.090

* Mon Jan 31 2011 dmorgan <dmorgan> 0.89.0-1.mga1
+ Revision: 45253
- New version

* Sat Jan 22 2011 jquelin <jquelin> 0.87.0-1.mga1
+ Revision: 32015
- mageia rebuild
- imported package perl-Getopt-Long-Descriptive

